Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle TopLink API Reference 10g Release 3 (10.1.3) B13698-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.toplink.services.mbean
Interface MBeanRuntimeServicesMBean

All Known Implementing Classes:
  MBeanRuntimeServices

Deprecated. Will be replaced by a server-specific equivalent for oracle.toplink.services.oc4j.Oc4jRuntimeServices

public interface MBeanRuntimeServicesMBean

Purpose: Provide a dynamic interface into the TopLink Session.

Description: This class is ment to provide an interface for gaining access to configuration of the TopLink Session during runtime. It will provides the basis for a JMX MBean

See Also:
  `Oc4jRuntimeServices`

Method Summary
`void` | `addNewConnectionPool(java.lang.String poolName, int maxSize, int minSize, java.lang.String platform, java.lang.String driverClassName, java.lang.String url, java.lang.String userName, java.lang.String password)` Deprecated. PUBLIC: This method provides client with access to add a new connection pool to a TopLink ServerSession.
`void` | `addNewConnectionPool(java.lang.String poolName, int maxSize, int minSize, java.lang.String platform, java.lang.String driverClassName, java.lang.String url, java.lang.String userName, java.lang.String password, java.lang.String licencePath)` Deprecated.
`java.util.List` | `getAvailableConnectionPools()` Deprecated. PUBLIC: This method will return the available Connection pools within this Server Session
`java.util.List` | `getClassesInSession()` Deprecated. PUBLIC: This method is used to return those Class Names that have identity Maps in the Session.
`java.lang.Integer` | `getNumberOfObjectsInIdentityMap(java.lang.String className)` Deprecated. PUBLIC: This method is used to return the number of objects in a particular Identity Map If ClassNotFoundException is thrown then the IdenityMap for that class name could not be found
`java.lang.Integer` | `getNumberOfObjectsInIdentityMapSubCache(java.lang.String className)` Deprecated. PUBLIC: This method is used to return the number of objects in a particular Identity Map's subcache.
`java.util.List` | `getObjectsInIdentityMap(java.lang.String className)` Deprecated. PUBLIC: This method will return a collection of the objects in the Identity Map.
`java.util.List` | `getObjectsInIdentityMapSubCache(java.lang.String className)` Deprecated.
`java.util.List` | `getObjectsInIdentityMapSubCacheAsMap(java.lang.String className)` Deprecated. PUBLIC: This method will return a collection of the objects in the Identity Map.
`int` | `getSequencePreallocationSize()` Deprecated. PUBLIC: Method returns the value of the Sequence Preallocation size
`boolean` | `getShouldCacheAllStatements()` Deprecated. PUBLIC: Returns if statements should be cached or not
`boolean` | `getShouldLogDebug()` Deprecated. PUBLIC: This method is used to determine if debug messages should be logged
`boolean` | `getShouldLogExceptions()` Deprecated. PUBLIC: This method is used to determine if exception messages should be logged
`boolean` | `getShouldLogExceptionStackTrace()` Deprecated. PUBLIC: This method is used to determine if exception Stack Trace should be logged
`boolean` | `getShouldLogMessages()` Deprecated. PUBLIC: This method is used to determine if messages should be logged by the session
`boolean` | `getShouldLogPerformanceProfiler()` Deprecated.
`boolean` | `getShouldPrintConnection()` Deprecated. PUBLIC: This method is used to determine if exception Stack Trace should be logged
`boolean` | `getShouldPrintDate()` Deprecated. PUBLIC: This method is used to determine if exception Stack Trace should be logged
`boolean` | `getShouldPrintSession()` Deprecated. PUBLIC: This method is used to determine if exception Stack Trace should be logged
`boolean` | `getShouldPrintThread()` Deprecated. PUBLIC: This method is used to determine if exception Stack Trace should be logged
`boolean` | `getShouldProfilePerformance()` Deprecated. PUBLIC: This method will return if profgiling is turned on or not
`java.util.List` | `getSizeForPool(java.lang.String poolName)` Deprecated. PUBLIC: This method will retrieve the size of a particulat connection pool
`int` | `getStatementCacheSize()` Deprecated. PUBLIC: Returns the statement cache size.
`void` | `resetAllConnections()` Deprecated. PUBLIC: This method is used to reset connections from the session to the database.
`void` | `setSequencePreallocationSize(int size)` Deprecated. PUBLIC: This method provide access for setting the sequence pre-allocation size
`void` | `setShouldCacheAllStatements(boolean shouldCacheAllStatements)` Deprecated. PUBLIC: Method used to set if statements should be cached.
`void` | `setShouldLogDebug(boolean shouldLogDebug)` Deprecated. PUBLIC: This method is used to set if debug messages should be logged
`void` | `setShouldLogExceptions(boolean shouldLogExceptions)` Deprecated. PUBLIC: This method is used to set if Exception messages should be logged
`void` | `setShouldLogExceptionStackTrace(boolean shouldLogExceptionStackTrace)` Deprecated. PUBLIC: This method is used to set if Exception Stack Trace should be logged
`void` | `setShouldLogMessages(boolean shouldLogMessages)` Deprecated. PUBLIC: This method is used to set if messages should be logged by the session
`void` | `setShouldLogPerformanceProfiler(boolean shouldLogPerformanceProfiler)` Deprecated. PUBLIC: This method is used to turn on Profile logging when using th Performance Profiler
`void` | `setShouldPrintConnection(boolean shouldPrintConnection)` Deprecated. PUBLIC: This method is used to set if Exception Stack Trace should be logged
`void` | `setShouldPrintDate(boolean shouldPrintDate)` Deprecated. PUBLIC: This method is used to set if Exception Stack Trace should be logged
`void` | `setShouldPrintSession(boolean shouldPrintSession)` Deprecated. PUBLIC: This method is used to set if Exception Stack Trace should be logged
`void` | `setShouldPrintThread(boolean shouldPrintThread)` Deprecated. PUBLIC: This method is used to set if Exception Stack Trace should be logged
`void` | `setShouldProfilePerformance(boolean shouldProfile)` Deprecated. PUBLIC: This method is used to turn on Performance Profiling
`void` | `setStatementCacheSize(int size)` Deprecated. PUBLIC: Used to set the statement cache size.
`void` | `updatePoolSize(java.lang.String poolName, int maxSize, int minSize)` Deprecated. PUBLIC: This method allows the client to set the pool size for a particular pool, based on the pool name

Method Detail

### setShouldLogMessages

    public void setShouldLogMessages(boolean shouldLogMessages)

  Deprecated.
  PUBLIC: This method is used to set if messages should be logged by the session

### getShouldLogMessages

    public boolean getShouldLogMessages()

  Deprecated.
  PUBLIC: This method is used to determine if messages should be logged by the session

### setShouldLogDebug

    public void setShouldLogDebug(boolean shouldLogDebug)

  Deprecated.
  PUBLIC: This method is used to set if debug messages should be logged

### getShouldLogDebug

    public boolean getShouldLogDebug()

  Deprecated.
  PUBLIC: This method is used to determine if debug messages should be logged

### setShouldLogExceptions

    public void setShouldLogExceptions(boolean shouldLogExceptions)

  Deprecated.
  PUBLIC: This method is used to set if Exception messages should be logged

### getShouldLogExceptions

    public boolean getShouldLogExceptions()

  Deprecated.
  PUBLIC: This method is used to determine if exception messages should be logged

### setShouldLogExceptionStackTrace

    public void setShouldLogExceptionStackTrace(boolean shouldLogExceptionStackTrace)

  Deprecated.
  PUBLIC: This method is used to set if Exception Stack Trace should be logged

### getShouldLogExceptionStackTrace

    public boolean getShouldLogExceptionStackTrace()

  Deprecated.
  PUBLIC: This method is used to determine if exception Stack Trace should be logged

### setShouldPrintDate

    public void setShouldPrintDate(boolean shouldPrintDate)

  Deprecated.
  PUBLIC: This method is used to set if Exception Stack Trace should be logged

### getShouldPrintDate

    public boolean getShouldPrintDate()

  Deprecated.
  PUBLIC: This method is used to determine if exception Stack Trace should be logged

### setShouldPrintSession

    public void setShouldPrintSession(boolean shouldPrintSession)

  Deprecated.
  PUBLIC: This method is used to set if Exception Stack Trace should be logged

### getShouldPrintSession

    public boolean getShouldPrintSession()

  Deprecated.
  PUBLIC: This method is used to determine if exception Stack Trace should be logged

### setShouldPrintThread

    public void setShouldPrintThread(boolean shouldPrintThread)

  Deprecated.
  PUBLIC: This method is used to set if Exception Stack Trace should be logged

### getShouldPrintThread

    public boolean getShouldPrintThread()

  Deprecated.
  PUBLIC: This method is used to determine if exception Stack Trace should be logged

### setShouldPrintConnection

    public void setShouldPrintConnection(boolean shouldPrintConnection)

  Deprecated.
  PUBLIC: This method is used to set if Exception Stack Trace should be logged

### getShouldPrintConnection

    public boolean getShouldPrintConnection()

  Deprecated.
  PUBLIC: This method is used to determine if exception Stack Trace should be logged

### setShouldProfilePerformance

    public void setShouldProfilePerformance(boolean shouldProfile)

  Deprecated.
  PUBLIC: This method is used to turn on Performance Profiling

### getShouldProfilePerformance

    public boolean getShouldProfilePerformance()

  Deprecated.
  PUBLIC: This method will return if profgiling is turned on or not

### setShouldLogPerformanceProfiler

    public void setShouldLogPerformanceProfiler(boolean shouldLogPerformanceProfiler)

  Deprecated.
  PUBLIC: This method is used to turn on Profile logging when using th Performance Profiler

### getShouldLogPerformanceProfiler

    public boolean getShouldLogPerformanceProfiler()

  Deprecated.

### setShouldCacheAllStatements

    public void setShouldCacheAllStatements(boolean shouldCacheAllStatements)

  Deprecated.
  PUBLIC: Method used to set if statements should be cached. Please note that Statements can not be cached when using an external connection pool

### getShouldCacheAllStatements

    public boolean getShouldCacheAllStatements()

  Deprecated.
  PUBLIC: Returns if statements should be cached or not

### setStatementCacheSize

    public void setStatementCacheSize(int size)

  Deprecated.
  PUBLIC: Used to set the statement cache size. This is only valid if using cached Statements

### getStatementCacheSize

    public int getStatementCacheSize()

  Deprecated.
  PUBLIC: Returns the statement cache size. Only valid if statements are being cached

### setSequencePreallocationSize

    public void setSequencePreallocationSize(int size)

  Deprecated.
  PUBLIC: This method provide access for setting the sequence pre-allocation size

### getSequencePreallocationSize

    public int getSequencePreallocationSize()

  Deprecated.
  PUBLIC: Method returns the value of the Sequence Preallocation size

### updatePoolSize

    public void updatePoolSize(java.lang.String poolName,
                               int maxSize,
                               int minSize)

  Deprecated.
  PUBLIC: This method allows the client to set the pool size for a particular pool, based on the pool name

### getAvailableConnectionPools

    public java.util.List getAvailableConnectionPools()

  Deprecated.
  PUBLIC: This method will return the available Connection pools within this Server Session

### getSizeForPool

    public java.util.List getSizeForPool(java.lang.String poolName)

  Deprecated.
  PUBLIC: This method will retrieve the size of a particulat connection pool

### addNewConnectionPool

    public void addNewConnectionPool(java.lang.String poolName,
                                     int maxSize,
                                     int minSize,
                                     java.lang.String platform,
                                     java.lang.String driverClassName,
                                     java.lang.String url,
                                     java.lang.String userName,
                                     java.lang.String password,
                                     java.lang.String licencePath)
                              throws java.lang.ClassNotFoundException

  Deprecated.
  OBSOLETE: This method provides client with access to add a new connection pool to a TopLink ServerSession. This method throws classNotFound Exception if any of the class names are mispelled.
  Throws:
    `java.lang.ClassNotFoundException`
  See Also:
    `throws ClassNotFoundException`

### addNewConnectionPool

    public void addNewConnectionPool(java.lang.String poolName,
                                     int maxSize,
                                     int minSize,
                                     java.lang.String platform,
                                     java.lang.String driverClassName,
                                     java.lang.String url,
                                     java.lang.String userName,
                                     java.lang.String password)
                              throws java.lang.ClassNotFoundException

  Deprecated.
  PUBLIC: This method provides client with access to add a new connection pool to a TopLink ServerSession. This method throws classNotFound Exception if any of the class names are mispelled.
  Throws:
    `java.lang.ClassNotFoundException`

### resetAllConnections

    public void resetAllConnections()

  Deprecated.
  PUBLIC: This method is used to reset connections from the session to the database. Please Note that this will not work with a SessionBroker at this time

### getClassesInSession

    public java.util.List getClassesInSession()

  Deprecated.
  PUBLIC: This method is used to return those Class Names that have identity Maps in the Session. Please note that SubClasses and aggregates will be missing form this list as they do not have seperate identoty maps.

### getObjectsInIdentityMap

    public java.util.List getObjectsInIdentityMap(java.lang.String className)
                                           throws java.lang.ClassNotFoundException

  Deprecated.
  PUBLIC: This method will return a collection of the objects in the Identity Map. There is no particular order to these objects.
  Throws:
    `java.lang.ClassNotFoundException`

### getNumberOfObjectsInIdentityMap

    public java.lang.Integer getNumberOfObjectsInIdentityMap(java.lang.String className)
                                                      throws java.lang.ClassNotFoundException

  Deprecated.
  PUBLIC: This method is used to return the number of objects in a particular Identity Map If ClassNotFoundException is thrown then the IdenityMap for that class name could not be found
  Throws:
    `java.lang.ClassNotFoundException`

### getObjectsInIdentityMapSubCache

    public java.util.List getObjectsInIdentityMapSubCache(java.lang.String className)
                                                   throws java.lang.ClassNotFoundException

  Deprecated.
  PUBLIC: This method will return a collection of the objects in the Identity Map. There is no particular order to these objects.
  Throws:
    `java.lang.ClassNotFoundException`
  See Also:
    `getObjectsInIdentityMapSubCacheAsMap(String className)`

### getObjectsInIdentityMapSubCacheAsMap

    public java.util.List getObjectsInIdentityMapSubCacheAsMap(java.lang.String className)
                                                        throws java.lang.ClassNotFoundException

  Deprecated.
  PUBLIC: This method will return a collection of the objects in the Identity Map. There is no particular order to these objects. These objects are returned as a Map which is how they are stored on the cache. This method replaces getObjectsInIdentityMapSubCache(String className) which returned a List.
  Throws:
    `java.lang.ClassNotFoundException`

### getNumberOfObjectsInIdentityMapSubCache

    public java.lang.Integer getNumberOfObjectsInIdentityMapSubCache(java.lang.String className)
                                                              throws java.lang.ClassNotFoundException

  Deprecated.
  PUBLIC: This method is used to return the number of objects in a particular Identity Map's subcache. Only works for those identity Maps with a sub cache (ie Hard Cache Weak Identity Map) If ClassNotFoundException is thrown then the IdenityMap for that class name could not be found
  Throws:
    `java.lang.ClassNotFoundException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 1998, 2006, Oracle. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD